%global pkgname social-auth

Name:           python-%{pkgname}
Version:        0.3.3
Release:        8%{?dist}
Summary:        Social auth made simple
Group:          Development/Libraries
License:        BSD
URL:            http://psa.matiasaguirre.net/

Source0:        https://pypi.python.org/packages/c6/40/e6daa023138fd0e41105a8ce3d882aa7200db460991060608364f3483f8f/python-social-auth-0.3.3.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
Python Social Auth is an easy to setup social authentication/registration
mechanism with support for several frameworks and auth providers.

Crafted using base code from django-social-auth, implements a common interface
to define new authentication providers from third parties. And to bring support
for more frameworks and ORMs.

%package -n python2-%{pkgname}
Summary:        Social auth made simple

# python-openid does not provide python2-openid yet
# (https://bugzilla.redhat.com/show_bug.cgi?id=1313239)
#Requires:       python2-openid
Requires:       python2-openid
Requires:       python2-oauthlib
Requires:       python2-requests
Requires:       python2-requests-oauthlib
Requires:       python2-six
%{?python_provide:%python_provide python2-%{pkgname}}

%description -n python2-%{pkgname}
Python Social Auth is an easy to setup social authentication/registration
mechanism with support for several frameworks and auth providers.

Crafted using base code from django-social-auth, implements a common interface
to define new authentication providers from third parties. And to bring support
for more frameworks and ORMs.


%package -n python3-%{pkgname}
Summary:        Social auth made simple

Requires:       python3-oauthlib
Requires:       python3-openid
Requires:       python3-requests
Requires:       python3-requests-oauthlib
Requires:       python3-six
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname}
Python Social Auth is an easy to setup social authentication/registration
mechanism with support for several frameworks and auth providers.

Crafted using base code from django-social-auth, implements a common interface
to define new authentication providers from third parties. And to bring support
for more frameworks and ORMs.


%prep
%setup -q


%build
%{py2_build}
%{py3_build}


%install
%{py2_install}
%{py3_install}


%files -n python2-%{pkgname}
%doc README.rst
%license LICENSE
%dir %{python2_sitelib}/social
     %{python2_sitelib}/social/*.py
     %{python2_sitelib}/social/*.py[co]
%dir %{python2_sitelib}/social/apps
     %{python2_sitelib}/social/apps/*.py
     %{python2_sitelib}/social/apps/*.py[co]
%dir %{python2_sitelib}/social/apps/cherrypy_app
     %{python2_sitelib}/social/apps/cherrypy_app/*.py
     %{python2_sitelib}/social/apps/cherrypy_app/*.py[co]
%dir %{python2_sitelib}/social/apps/django_app
     %{python2_sitelib}/social/apps/django_app/*.py
     %{python2_sitelib}/social/apps/django_app/*.py[co]
%dir %{python2_sitelib}/social/apps/django_app/default
     %{python2_sitelib}/social/apps/django_app/default/*.py
     %{python2_sitelib}/social/apps/django_app/default/*.py[co]
%dir %{python2_sitelib}/social/apps/django_app/default/south_migrations
     %{python2_sitelib}/social/apps/django_app/default/south_migrations/*.py
     %{python2_sitelib}/social/apps/django_app/default/south_migrations/*.py[co]
%dir %{python2_sitelib}/social/apps/django_app/me
     %{python2_sitelib}/social/apps/django_app/me/*.py
     %{python2_sitelib}/social/apps/django_app/me/*.py[co]
%dir %{python2_sitelib}/social/apps/flask_app
     %{python2_sitelib}/social/apps/flask_app/*.py
     %{python2_sitelib}/social/apps/flask_app/*.py[co]
%dir %{python2_sitelib}/social/apps/flask_app/default
     %{python2_sitelib}/social/apps/flask_app/default/*.py
     %{python2_sitelib}/social/apps/flask_app/default/*.py[co]
%dir %{python2_sitelib}/social/apps/flask_app/me
     %{python2_sitelib}/social/apps/flask_app/me/*.py
     %{python2_sitelib}/social/apps/flask_app/me/*.py[co]
%dir %{python2_sitelib}/social/apps/flask_app/peewee
     %{python2_sitelib}/social/apps/flask_app/peewee/*.py
     %{python2_sitelib}/social/apps/flask_app/peewee/*.py[co]
%dir %{python2_sitelib}/social/apps/pyramid_app
     %{python2_sitelib}/social/apps/pyramid_app/*.py
     %{python2_sitelib}/social/apps/pyramid_app/*.py[co]
%dir %{python2_sitelib}/social/apps/tornado_app
     %{python2_sitelib}/social/apps/tornado_app/*.py
     %{python2_sitelib}/social/apps/tornado_app/*.py[co]
%dir %{python2_sitelib}/social/apps/webpy_app
     %{python2_sitelib}/social/apps/webpy_app/*.py
     %{python2_sitelib}/social/apps/webpy_app/*.py[co]
%dir %{python2_sitelib}/social/backends
     %{python2_sitelib}/social/backends/*.py
     %{python2_sitelib}/social/backends/*.py[co]
%dir %{python2_sitelib}/social/pipeline
     %{python2_sitelib}/social/pipeline/*.py
     %{python2_sitelib}/social/pipeline/*.py[co]
%dir %{python2_sitelib}/social/storage
     %{python2_sitelib}/social/storage/*.py
     %{python2_sitelib}/social/storage/*.py[co]
%dir %{python2_sitelib}/social/strategies
     %{python2_sitelib}/social/strategies/*.py
     %{python2_sitelib}/social/strategies/*.py[co]
%dir %{python2_sitelib}/social/tests
     %{python2_sitelib}/social/tests/*.py
     %{python2_sitelib}/social/tests/*.py[co]
     %{python2_sitelib}/social/tests/requirements*.txt
%dir %{python2_sitelib}/social/tests/actions
     %{python2_sitelib}/social/tests/actions/*.py
     %{python2_sitelib}/social/tests/actions/*.py[co]
%dir %{python2_sitelib}/social/tests/backends
     %{python2_sitelib}/social/tests/backends/*.py
     %{python2_sitelib}/social/tests/backends/*.py[co]
%dir %{python2_sitelib}/social/tests/backends/data
     %{python2_sitelib}/social/tests/backends/data/saml_response.txt
     %{python2_sitelib}/python_social_auth-%{version}-py2.*.egg-info


%files -n python3-%{pkgname}
%doc README.rst
%license LICENSE
%dir %{python3_sitelib}/social
     %{python3_sitelib}/social/*.py
%dir %{python3_sitelib}/social/__pycache__
     %{python3_sitelib}/social/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps
     %{python3_sitelib}/social/apps/*.py
%dir %{python3_sitelib}/social/apps/__pycache__
     %{python3_sitelib}/social/apps/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/cherrypy_app
     %{python3_sitelib}/social/apps/cherrypy_app/*.py
%dir %{python3_sitelib}/social/apps/cherrypy_app/__pycache__
     %{python3_sitelib}/social/apps/cherrypy_app/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/django_app
     %{python3_sitelib}/social/apps/django_app/*.py
%dir %{python3_sitelib}/social/apps/django_app/__pycache__
     %{python3_sitelib}/social/apps/django_app/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/django_app/default
     %{python3_sitelib}/social/apps/django_app/default/*.py
%dir %{python3_sitelib}/social/apps/django_app/default/__pycache__
     %{python3_sitelib}/social/apps/django_app/default/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/django_app/default/south_migrations
     %{python3_sitelib}/social/apps/django_app/default/south_migrations/*.py
%dir %{python3_sitelib}/social/apps/django_app/default/south_migrations/__pycache__
     %{python3_sitelib}/social/apps/django_app/default/south_migrations/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/django_app/me
     %{python3_sitelib}/social/apps/django_app/me/*.py
%dir %{python3_sitelib}/social/apps/django_app/me/__pycache__
     %{python3_sitelib}/social/apps/django_app/me/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/flask_app
     %{python3_sitelib}/social/apps/flask_app/*.py
%dir %{python3_sitelib}/social/apps/flask_app/__pycache__
     %{python3_sitelib}/social/apps/flask_app/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/flask_app/default
     %{python3_sitelib}/social/apps/flask_app/default/*.py
%dir %{python3_sitelib}/social/apps/flask_app/default/__pycache__
     %{python3_sitelib}/social/apps/flask_app/default/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/flask_app/me
     %{python3_sitelib}/social/apps/flask_app/me/*.py
%dir %{python3_sitelib}/social/apps/flask_app/me/__pycache__
     %{python3_sitelib}/social/apps/flask_app/me/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/flask_app/peewee
     %{python3_sitelib}/social/apps/flask_app/peewee/*.py
%dir %{python3_sitelib}/social/apps/flask_app/peewee/__pycache__
     %{python3_sitelib}/social/apps/flask_app/peewee/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/pyramid_app
     %{python3_sitelib}/social/apps/pyramid_app/*.py
%dir %{python3_sitelib}/social/apps/pyramid_app/__pycache__
     %{python3_sitelib}/social/apps/pyramid_app/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/tornado_app
     %{python3_sitelib}/social/apps/tornado_app/*.py
%dir %{python3_sitelib}/social/apps/tornado_app/__pycache__
     %{python3_sitelib}/social/apps/tornado_app/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/webpy_app
     %{python3_sitelib}/social/apps/webpy_app/*.py
%dir %{python3_sitelib}/social/apps/webpy_app/__pycache__
     %{python3_sitelib}/social/apps/webpy_app/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/backends
     %{python3_sitelib}/social/backends/*.py
%dir %{python3_sitelib}/social/backends/__pycache__
     %{python3_sitelib}/social/backends/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/pipeline
     %{python3_sitelib}/social/pipeline/*.py
%dir %{python3_sitelib}/social/pipeline/__pycache__
     %{python3_sitelib}/social/pipeline/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/storage
     %{python3_sitelib}/social/storage/*.py
%dir %{python3_sitelib}/social/storage/__pycache__
     %{python3_sitelib}/social/storage/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/strategies
     %{python3_sitelib}/social/strategies/*.py
%dir %{python3_sitelib}/social/strategies/__pycache__
     %{python3_sitelib}/social/strategies/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/tests
     %{python3_sitelib}/social/tests/requirements*.txt
     %{python3_sitelib}/social/tests/*.py
%dir %{python3_sitelib}/social/tests/__pycache__
     %{python3_sitelib}/social/tests/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/tests/actions
     %{python3_sitelib}/social/tests/actions/*.py
%dir %{python3_sitelib}/social/tests/actions/__pycache__
     %{python3_sitelib}/social/tests/actions/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/tests/backends
     %{python3_sitelib}/social/tests/backends/*.py
%dir %{python3_sitelib}/social/tests/backends/__pycache__
     %{python3_sitelib}/social/tests/backends/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/tests/backends/data
     %{python3_sitelib}/social/tests/backends/data/saml_response.txt
     %{python3_sitelib}/python_social_auth-%{version}-py3.*.egg-info


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.3-7
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3.3-6
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 08 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.3-4
- Add %%python_provide invocation

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan  3 2017 Jakub Dorňák <jakub.dornak@misli.cz> - 0.3.3-1
- Rebase to version 0.3.3
- Requirements cleanup

* Tue Dec 27 2016 Jakub Dorňák <jakub.dornak@misli.cz> - 0.3.1-1
- rebase to 0.3.1

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.2.19-2
- Rebuild for Python 3.6

* Fri May  6 2016 Jakub Dorňák <jdornak@redhat.com> - 0.2.19-1
- rebase to 0.2.19

* Fri Apr 22 2016 Jakub Dorňák <jdornak@redhat.com> - 0.2.18-1
- rebase to 0.2.18

* Tue Mar  8 2016 Jakub Dorňák <jdornak@redhat.com> - 0.2.14-4
- temporarily require some python-* packages instead of python2-*

* Wed Feb 24 2016 Jakub Dorňák <jdornak@redhat.com> - 0.2.14-3
- add python2- and -doc packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 26 2016 Jakub Dorňák <jdornak@redhat.com> - 0.2.14-1
- rebase to 0.2.14

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.13-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Jul 13 2015 Jakub Dorňák <jdornak@redhat.com> - 0.2.12-1
- rebase to 0.2.12

* Fri Jun 26 2015 Jakub Dorňák <jdornak@redhat.com> - 0.2.11-1
- rebase to 0.2.11

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun  9 2015 Jakub Dorňák <jdornak@redhat.com> - 0.2.10-1
- rebase to 0.2.10

* Wed Apr  1 2015 Jakub Dorňák <jdornak@redhat.com> - 0.2.3-1
- rebase to 0.2.3

* Tue Feb 24 2015 Jakub Dorňák <jdornak@redhat.com> - 0.2.2-1
- rebase to 0.2.2

* Tue Sep 30 2014 Jakub Dorňák <jdornak@redhat.com> - 0.2.1-1
- rebase to 0.2.1

* Fri Jun 27 2014 Jakub Dorňák <jdornak@redhat.com> - 0.1.26-1
- rebase to 0.1.26

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 29 2014 Jakub Dorňák <jdornak@redhat.com> - 0.1.24-1
- rebase to 0.1.24

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.1.23-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Fri Mar 28 2014 Jakub Dorňák <jdornak@redhat.com> - 0.1.23-1
- rebase to 0.1.23

* Fri Nov 29 2013 Jakub Dorňák <jdornak@redhat.com> - 0.1.17-1
- Initial package
